# Uses of Interface
java.util.PrimitiveIterator.OfInt

Packages that use PrimitiveIterator.OfInt
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

- ## Uses of PrimitiveIterator.OfInt in java.util

  Methods in java.util that return PrimitiveIterator.OfInt
  Modifier and Type
  Method
  Description
  `static PrimitiveIterator.OfInt`
  Spliterators.`iterator(Spliterator.OfInt spliterator)`
  Creates an `PrimitiveIterator.OfInt` from a `Spliterator.OfInt`.
  Methods in java.util with parameters of type PrimitiveIterator.OfInt
  Modifier and Type
  Method
  Description
  `static Spliterator.OfInt`
  Spliterators.`spliterator(PrimitiveIterator.OfInt iterator, long size, int characteristics)`
  Creates a `Spliterator.OfInt` using a given `IntStream.IntIterator` as the source of elements, and with a given initially reported size.
  `static Spliterator.OfInt`
  Spliterators.`spliteratorUnknownSize(PrimitiveIterator.OfInt iterator, int characteristics)`
  Creates a `Spliterator.OfInt` using a given `IntStream.IntIterator` as the source of elements, with no initial size estimate.